--
-- PyKota - Print Quotas for CUPS and LPRng
--
-- (c) 2003-2004 Jerome Alet <alet@librelogiciel.com>
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
--
-- $Id: pykota-postgresql.sql,v 1.11 2004/06/20 16:15:21 jalet Exp $
--
-- $Log: pykota-postgresql.sql,v $
-- Revision 1.11  2004/06/20 16:15:21  jalet
-- Added "description" attribute for printers
--
-- Revision 1.10  2004/06/03 23:14:09  jalet
-- Now stores the job's size in bytes in the database.
-- Preliminary work on payments storage : database schemas are OK now,
-- but no code to store payments yet.
-- Removed schema picture, not relevant anymore.
--
-- Revision 1.9  2004/05/13 11:15:29  jalet
-- Added hostname field in job history
--
-- Revision 1.8  2004/01/08 14:10:32  jalet
-- Copyright year changed.
--
-- Revision 1.7  2003/12/27 16:49:25  uid67467
-- Should be ok now.
--
-- Revision 1.6  2003/11/23 19:01:36  jalet
-- Job price added to history
--
-- Revision 1.5  2003/11/21 14:28:45  jalet
-- More complete job history.
--
-- Revision 1.4  2003/07/16 21:53:07  jalet
-- Really big modifications wrt new configuration file's location and content.
--
-- Revision 1.3  2003/07/09 20:17:07  jalet
-- Email field added to PostgreSQL schema
--
-- Revision 1.2  2003/06/10 16:37:54  jalet
-- Deletion of the second user which is not needed anymore.
-- Added a debug configuration field in /etc/pykota.conf
-- All queries can now be sent to the logger in debug mode, this will
-- greatly help improve performance when time for this will come.
--
-- Revision 1.1  2003/06/05 07:12:31  jalet
-- Reorganization of directories
--
--
--

--
-- PyKota Database creation script for PostgreSQL
--
-- Launch this as PostgreSQL administrator with \i
--


--
-- Create the print quota database
--
-- CREATE DATABASE pykota;

--
-- Create the print quota database users
-- 
-- CREATE USER pykotaadmin;
-- CREATE USER pykotauser;

-- 
-- Now connect to the new database
-- 
-- \connect pykota

DROP TABLE payments CASCADE;
DROP TABLE printergroupsmembers CASCADE;
DROP TABLE groupsmembers CASCADE;
DROP TABLE grouppquota CASCADE;
DROP TABLE jobhistory CASCADE;
DROP TABLE userpquota CASCADE;
DROP TABLE printernode CASCADE;
DROP TABLE printers CASCADE;
DROP TABLE groups CASCADE;
DROP TABLE users CASCADE;
