<?php
/*
# Copyright 2006, Mille-XTERM., Martin Rioux
# Created on 2006-03-03
# This file is part of the MILLE-XTERM distribution.
# See the MILLE-XTERM (english) and/or the MILLE (french) project web site
#
# http://www.crim.ca/
# http://www.revolutionlinux.com/mille-xterm/
# http://www.mille.ca/
#
# The MILLE-XTERM framework is covered by the GNU General Public License. See
# the COPYING file in the top-level MILLE-XTERM directory. Software packages
# that are included in the MILLE-XTERM distribution have their own licenses.
#
# -------------------------------------------------------------------------
*/
	require_once 'EntityBrowser.php';
	require_once 'AttributesManager.php';
	require_once 'Permissions.php';

	/**
	*  Loader for configuration module
	*
	*  Author: Martin Rioux
	*/
	switch ($module_action) {
		case 'build':
			$ub = new EntityBrowser();
			$perm = $ub->getPermissions();
			$am = new AttributesManager($ub->getNode(),array("custom","entity"),array(USER_TYPE,GROUP_TYPE),$perm);
			break;
		case 'print':
			print "<h1>".getMessage('entity_module')."</h1>\n";
			$ub->printView();
			$am->printView();
			break;
	}
?>
