<?php
/*
# Copyright 2006, CRIM, Martin Rioux
#
# This file is part of the MILLE-XTERM distribution.
# See the MILLE-XTERM (english) and/or the MILLE (french) project web site
#
# http://www.revolutionlinux.com/mille-xterm/
# http://www.mille.ca/
#
# The MILLE-XTERM framework is covered by the GNU General Public License. See
# the COPYING file in the top-level MILLE-XTERM directory. Software packages
# that are included in the MILLE-XTERM distribution have their own licenses.
#
# -------------------------------------------------------------------------
*/

function getValueMessage($attributeName, $value) {
	if (isMessage($attributeName."_".$value)) {
		return getMessage($attributeName."_".$value);
	}
	return $value;
}

function getNameMessage($attrName,$putSign = false) {
	if (isMessage($attrName)) {
		return getMessage($attrName);
	}
	else {
		if ($putSign) $equalSign = " = ";
		else $equalSign = "";
		return $attrName.$equalSign;
	}
}
$this->printErrors();
?>
<h3><?= getMessage("printer_manage_list") ?></h3>

<?php
if(!empty($this->printerServers)){
	echo "<form  name='printers' action='admin.php?".getGETParam()."' method='post'>";
	foreach ($this->printerServers as $printerServer) {
		echo "<input type='checkbox' name='printer_server[]' value='".$printerServer."'";
			if( isset( $_SESSION['printerList'] ) && in_array( $printerServer, array_keys( $_SESSION['printerList'] ) ) ){ echo "checked"; }
		echo ">";
		echo "<strong>".$printerServer."</strong><br />";
	}?>
   	<input type="submit" name="synchronize" value="<?= getMessage("printer_manage") ?>" />
</form>
<?php
}else{
	echo "<p style='color : orange; font-size: smaller;'>\n";
	echo getMessage("printer_no_printer_server");
	echo "</p>\n";
}
?>
<HR SIZE="1" noshade width=66% align="left">
<?php
if( !empty( $_SESSION[ 'printerList' ] ) ){
	foreach( $_SESSION[ 'printerList' ] as $server_name => $printerServer ){ ?>
		<h3><?php echo getMessage("printer_server_list")." ".$server_name ?></h3>
		<?php if( !isset( $this->errors[ $server_name ] ) ){ ?>
			<FORM METHOD="POST">
				<TABLE>
					<TR>
						<TD>
							<?= getMessage("printer_database") ?><br>
							<SELECT SIZE="7" WIDTH="100" MULTIPLE NAME="on_server[]" STYLE="width : 300px;">
								<?php
									foreach( $printerServer[ 'onDB' ] as $printer ){
							       		echo "<OPTION VALUE='$printer'>".$printer."</OPTION>";
									}
								?>
							</SELECT>
						</TD>
						<TD>
							<INPUT TYPE="SUBMIT" VALUE=">>" NAME="rem_printer"></INPUT>
							<br>
							<INPUT TYPE="SUBMIT" VALUE="<<" NAME="add_printer"></INPUT>
						</TD>
						<TD>
							<?= getMessage("printer_servers") ?><br>
							<SELECT SIZE="7" WIDTH="100" MULTIPLE NAME="on_db[]" STYLE="width : 250px;">
								<?php
					       			foreach( $printerServer[ 'onServer' ] as $printer ){
										echo "<OPTION VALUE='$printer'>".$printer."</OPTION>";
									}
								?>
							</SELECT>
						</TD>
					</TR>
				</TABLE>
			</FORM>
		<?php } else {
		echo "<p style='color : red; font-size : smaller;'>\n";
		echo $this->errors[ $server_name ]; }
		echo "</p>\n";
		?>
		<HR SIZE="1" noshade width=66% align="left">
	<?php } ?>
<?php } ?>
<h3><?= getMessage("printer_add_a_standalone") ?></h3>
<FORM METHOD="POST">
	<INPUT TYPE="TEXT" NAME="add_ghost_printer">
	<INPUT TYPE="SUBMIT" VALUE="<?= getMessage("printer_add") ?>">
</FORM>
<HR SIZE="1" noshade width=66% align="left">
<h3><?= getMessage("printer_standalone_list") ?></h3>
<?php
	if( count( $_SESSION['ghost_printers'] ) > 0 ){
		echo "<p style='color : orange; font-size: smaller;'>\n";
		echo getMessage('printer_warning_standalone');
		echo "</p>\n";
		echo "<FORM METHOD='POST'>";
			echo "<TABLE>";
				foreach( $_SESSION['ghost_printers'] as $printer ){
					echo "<TR><TD>";
						echo "<INPUT TYPE='CHECKBOX' NAME='ghost_printer[]' VALUE='".$printer."'";
						if( isset( $_POST['ghost_check_all'] ) ) echo "checked";
						echo ">";
						echo $printer;
					echo "</TD></TR>";
				}
			echo "</TABLE>";
			echo "<INPUT TYPE='SUBMIT' VALUE='".getMessage("printer_delete")."' NAME='rem_ghost_printer'>";
			echo "<INPUT TYPE='SUBMIT' VALUE='".getMessage("printer_check_all")."' NAME='ghost_check_all'>";
		echo "</FORM>";
	} else {
		echo "<p style='color : orange; font-size: smaller;'>\n";
		echo getMessage("printer_no_printer_standalone");
		echo "</p>\n";
	}
?>