<?php
/////////////////////////////////////////////////////////////////////////
// File Name : Attribute_Chooser.php
// Creation Date : July 2007
// Description : Prints all the possible attributes to have informations
//		   on in the final step. Also, let's you choose wich kind of report you want.
//
// Modifications : -
//
/////////////////////////////////////////////////////////////////////////

$resultconf = pg_query( "SELECT name FROM attributesdef GROUP BY name ORDER BY name" ) 
				or die('chec requte : ' . pg_last_error());
$resultmat = pg_query( "SELECT hwkey FROM computershw GROUP BY hwkey ORDER BY hwkey" ) 
				or die('chec requte : ' . pg_last_error());
$resultres = pg_query( "SELECT * FROM status WHERE id=1" )
				or die('chec requte : ' . pg_last_error());

include 'functions/isChecked.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
	<HEAD>
		<TITLE>Step 2</TITLE>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
	</HEAD>
	<BODY>
		<form METHOD="post" ACTION="index.php?step=3&eval=y">
			<table style='width : 100%; margin-bottom : 25px;' border=2 cellpadding=5 cellspacing=1>
				<tr>
					<td style="text-align:center" colspan=3>
						<?php echo getMessage('stats_select_attr_title'); ?>
					</td>
				</tr>
				<tr>
					<td style="text-align:center" width='50%'>
						<?php echo getMessage('stats_select_attr_config'); ?>
					</td>
					<td style="text-align:center" width='25%'>
						<?php echo getMessage('stats_select_attr_hardware'); ?>
					</td>
					<td style="text-align:center" width='25%'>
						<?php echo getMessage('stats_select_attr_network'); ?>	
					</td>
				</tr>
				<tr>
					<td>
						<table width='100%' border=0 cellpadding=0 cellspacing=0>
						<?php
							$k=0;
							while ($lineconf = pg_fetch_array($resultconf) ) {
								if( $k % 2 == 0 ){
									echo "<tr>\n";
								}
								echo "<td>".$lineconf[0]."</td><td><input type='checkbox' name='configInfo[]' value=".$lineconf[0]." ".isChecked( $lineconf[0], "configInfo" )."></td>\n";
								if( $k % 2 != 0 ){
									echo "</tr>\n";
								}
								$k++;
							}
						?>
						</table>
					</td>
					<td style="vertical-align:top">
						<table width='100%' border=0 cellpadding=0 cellspacing=0>
						<?php
							while ($linemat = pg_fetch_array($resultmat) ) {
								echo "<tr><td>".$linemat[0]."</td><td><input type='checkbox' name='hardwareInfo[]' value=".$linemat[0]." ".isChecked( $linemat[0], "hardwareInfo" )."></td></tr>\n";
							}
						?>
						</table>
					</td> 
					<td style="vertical-align:top">
						<table width='100%' border=0 cellpadding=0 cellspacing=0>
						<?php
							$i = pg_num_fields($resultres);
							for ($j = 1; $j < $i; $j++) {
								echo "<tr><td>".pg_field_name($resultres,$j)."</td><td><input type='checkbox' name='networkInfo[]' value=".pg_field_name($resultres,$j)." ".isChecked( pg_field_name($resultres,$j), "networkInfo" )."></td></tr>\n";
							}
						?>
					</table>
				</td>
			</table>
			<div class='footer-space'>
				<?php echo getMessage('stats_select_attr_type'); ?>
				<select name='print-type'>
					<option value='print-context'><?php echo getMessage('stats_select_attr_type_context'); ?></option>
					<option value='print-table'><?php echo getMessage('stats_select_attr_type_table'); ?></option>
				</select>
				<input type=submit value="<?php echo getMessage('stats_generate'); ?>" id='BTN_submit'>
			</div>
		</form>
	</BODY>
</HTML>