/*
 Copyright 2006, Revolution Linux inc.

 $Id: mille_attr_DB_Mille_1.0_to_1.2.sql 2103 2006-08-28 15:48:21Z francis $

 Authors:
 Francis Giraldeau <francis.giraldeau@revolutionlinux.com> 

 This file is part of the MILLE-XTERM distribution.
 See the MILLE-XTERM (english) and/or the MILLE (french) project web site

 http://www.revolutionlinux.com/mille-xterm/
 http://www.mille.ca/

 The MILLE-XTERM framework is covered by the GNU General Public License. See
 the COPYING file in the top-level MILLE-XTERM directory. Software packages
 that are included in the MILLE-XTERM distribution have their own licenses.

 -------------------------------------------------------------------------
 
 This script adds attributes for Mille-xterm, needed for configurator 1.2. 

 The command to update the database is : 

 su postgres -c "psql -U mille mille < mille_attr_DB_Mille_1.0_to_1.2.sql"

*/

/*
  Attribute for gmond daemon, enable or not
*/
INSERT INTO attributesDef (name,attributeClass,attributeType) VALUES ('ENABLE_GMOND', 'mille', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);


/*
  Attribute for the KDE profile of terminal
*/
INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('KDE_PROFILE', 'mille', 1, 1);


/*
  Attributes for autologin management
*/
INSERT INTO attributesDef (name,attributeClass,attributeType) VALUES ('AUTOLOGIN_ENABLE', 'mille', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);
INSERT INTO attributesDef (name, attributeClass) VALUES ('AUTOLOGIN_USER', 'mille');

INSERT INTO attributesDef (name,attributeClass,attributeType) VALUES ('TIMEDLOGIN_ENABLE', 'mille', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);
INSERT INTO attributesDef (name, attributeClass) VALUES ('TIMEDLOGIN_USER', 'mille');
INSERT INTO attributesDef (name, attributeClass) VALUES ('TIMEDLOGIN_DELAY', 'mille');


