#!/bin/sh
# _USE_ psql createdb  chkconfig createuser
# Copyright 2004, Revolution Linux Inc., Benoit des Ligneris
#
# This file is part of the MILLE-XTERM distribution.
# See the MILLE-XTERM (english) and/or the MILLE (french) project web site
#
#	http://www.revolutionlinux.com/mille-xterm/
#	http://www.mille.ca/
#
# The MILLE-XTERM framework is covered by the GNU General Public License.  See
# the COPYING file in the top-level MILLE-XTERM directory.  Software packages
# that are included in the MILLE-XTERM distribution have their own licenses.
#
# -------------------------------------------------------------------------


# This script will remove all the database for the MILLE-Configurator
# It supposes that postgresql is not secured...

# Make shure we are in the right directory
if [ ! -e './init_DB_Mille_v2.sql' ]; then
	pushd `dirname $0`
fi

for i in drop-pykota-postgresql.sql  drop-mille.sql    
do
su postgres -c "psql mille < $i"
done

su postgres -c "echo 'DROP DATABASE mille' | psql template1"
su postgres -c "echo 'DROP USER mille' | psql template1"
su postgres -c "echo 'DROP USER pykotaadmin' | psql template1"
su postgres -c "echo 'DROP USER pykotauser' | psql template1"
